<h2>Show device</h2>

<ul>

  <li>
    <strong>Token:</strong>
    <%= @device.token %>
  </li>

  <li>
    <strong>Name:</strong>
    <%= @device.name %>
  </li>

  <li>
    <strong>Description:</strong>
    <%= @device.description %>
  </li>

  <li>
    <strong>Pairedup:</strong>
    <%= yesNo @device.pairedUp %>
  </li>

  <li>
    <strong>Active:</strong>
    <%= yesNo @device.active %>
  </li>

  <li>
    <strong>Interface type:</strong>
    <%= @device.interface_type.name %>
  </li>

  <li>
    <strong>Value:</strong>
    <%= getDeviceValueByDevice @device.id %>
  </li>


</ul>
<%= if @device.pairedUp == true do %>
  <%= link "Unpair device", to: user_device_path(@conn, :unpairDevice, @user, @device.id), data: [confirm: "Are you sure?"], method: :post,
    class: "btn btn-danger btn-xs" %>
  <%= if @device.active == false do %>
    <%= link "Activate device", to: user_device_path(@conn, :activateDevice, @user, @device.id, true), method: :post, class: "btn btn-default
      btn-xs" %>
  <%= else %>
    <%= link "Deactivate device", to: user_device_path(@conn, :activateDevice, @user, @device.id, false), data: [confirm: "Are you sure?"], method: :post, class: "btn
      btn-danger btn-xs" %>
  <%= end %>
<%= end %>


<h3>Values</h3>
<table class="table">
  <thead>
  <tr>
    <th>value</th>
    <th>date</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for val <- @values do %>
  <tr>
    <td><%= getDeviceValue val %></td>
    <td><%= date_format val.datetime %></td>
  </tr>
  <% end %>
  </tbody>
</table>


<h3>Actions</h3>
<table class="table">
  <thead>
  <tr>
    <th>value</th>
    <th>date</th>
    <th>smart device</th>
    <th>confirmed</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for ac <- @actions do %>
  <tr>
    <td><%= getDeviceValue ac %></td>
    <td><%= date_format ac.datetime %></td>
    <td><%= ac.smart_device.name %></td>
    <td><%= ac.confirmed %></td>
  </tr>
  <% end %>
  </tbody>
</table>

<h3>Pair devices</h3>
<%= if @device.pairedUp == false && !existsPairUpRequestDevice(@device.id) do %>
  <%= link "Pair device", to: user_device_path(@conn, :pairDevice, @user, @device.id), method: :post, class: "btn btn-default btn-xs" %>
<%= end %>
<table class="table">
  <thead>
  <tr>
    <th>Token</th>
    <th>Deadline</th>
    <th>Successful</th>

    <th></th>
  </tr>
  </thead>
  <tbody>
  <%= for pair <- @device.pair_devices do %>
  <tr>
    <td><%= pair.token %></td>
    <td><%= date_format pair.deadline %></td>
    <td><%= yesNo pair.successful %></td>

    <td class="text-right">
      <%= if (compareDatetimeToNow(pair.deadline) == -1) && pair.successful == false do %>
        <%= link "Delete", to: user_device_path(@conn, :deletePairDevice, @user, @device, pair.id), method: :delete,
          data: [confirm: "Are you sure?"], class: "btn btn-danger btn-xs" %>
      <%= end %>
    </td>
  </tr>
  <% end %>
  </tbody>
</table>

<%= link "Back", to: user_path(@conn, :show, @user) %>
